﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.ServiceModel.Channels;

namespace Client
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Pulse una tecla cuando todos los servicios estén iniciados!");
            Console.ReadLine();

            Proxy.GeekServiceClient client = new Client.Proxy.GeekServiceClient();
            using (new OperationContextScope(client.InnerChannel))
            {
                MessageHeader header = MessageHeader.CreateHeader("Key", "http://www.plainconcepts.com", "HostA");
                OperationContext.Current.OutgoingMessageHeaders.Add(header);
                Console.WriteLine("Unai blog:{0}", client.GetGeekBlog("unai"));
            }
            

            Console.ReadLine();
        }
    }
}
